Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`protocols`.`amp`.`IBoxReceiver``

interface documentation

`class IBoxReceiver(Interface): (source)`

Known implementations: `twisted.protocols.amp.BoxDispatcher`

View In Hierarchy

An application object which can receive `AmpBox` objects and dispatch them appropriately.

Method | `ampBoxReceived` | A box was received from the transport; dispatch it appropriately.
Method | `startReceivingBoxes` | The `IBoxReceiver.ampBoxReceived` method will start being called; boxes may be responded to by responding to the given `IBoxSender`.
Method | `stopReceivingBoxes` | No further boxes will be received on this connection.

def ampBoxReceived(box): (source)

A box was received from the transport; dispatch it appropriately.

def startReceivingBoxes(boxSender): (source)

The `IBoxReceiver.ampBoxReceived` method will start being called; boxes may be responded to by responding to the given `IBoxSender`.

Parameters
boxSender | an `IBoxSender` provider.

def stopReceivingBoxes(reason): (source)

No further boxes will be received on this connection.

Parameters
reason:`Failure` | Undocumented